<h2>Edit <%= resource_name.to_s.humanize %></h2>

<%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f| %>
<%= render "devise/shared/error_messages", resource: resource %>

<div class="field">
  <%= f.label :login %><br />
  <%= f.text_field :login, :class => 'form-control' %>
</div>

<div class="field">
  <%= f.label :name %><br />
  <%= f.text_field :name, :class => 'form-control' %>
</div>

<div class="field">
  <%= f.label :email %><br />
  <%= f.email_field :email, :class => 'form-control' %>
</div>

<% if devise_mapping.confirmable? && resource.pending_reconfirmation? %>
<div>Currently waiting confirmation for: <%= resource.unconfirmed_email %></div>
<% end %>

<div class="field">
  <%= f.label :password %> <i>(leave blank if you don't want to change it)</i><br />
  <%= f.password_field :password, :class => 'form-control' %>
  <% if @minimum_password_length %>
  <br />
  <em><%= @minimum_password_length %> characters minimum</em>
  <% end %>
</div>

<div class="field">
  <%= f.label :password_confirmation %><br />
  <%= f.password_field :password_confirmation, :class => 'form-control' %>
</div>

<div class="field">
  <%= f.label :current_password %> <i>(we need your current password to confirm your changes)</i><br />
  <%= f.password_field :current_password, :class => 'form-control' %>
</div>

<div class="actions">
  <%= f.submit "Update", :class => 'btn btn-primary my-2' %>
</div>
<% end %>

<h3>Cancel my account</h3>

<p>Unhappy? <%= button_to "Cancel my account", registration_path(resource_name), data: { confirm: "Are you sure?" }, :class => 'btn btn-danger', method: :delete %></p>

<%= link_to "Back", :back %>
